
/*
 * MINIGUI - Harbour Win32 GUI library Demo
 *
 * Copyright 2002-2008 Roberto Lopez <harbourminigui@gmail.com>
 * http://harbourminigui.googlepages.com/
 * Activex Sample: Inspired by Freewin Activex inplementation by 
 * Oscar Joel Lira Lira (http://sourceforge.net/projects/freewin).
*/

#include "minigui.ch"

FUNCTION Main()
	Public oObject
	DEFINE WINDOW Win1 ;
		AT 0,0 ;
		WIDTH 800 ;
		HEIGHT 500 ;
		TITLE 'HMG ActiveX Support Demo' ;
		MAIN 

		DEFINE MAIN MENU

			POPUP "Test"
				MENUITEM "Navigate" ACTION TestNavigate()
				MENUITEM "Leer texto" ACTION Leer()
				MENUITEM "Insertar texto" ACTION Insertar()
				SEPARATOR
				MENUITEM "Insertar datos en Tabla" ACTION Datos()
			END POPUP 			

		END MENU

		DEFINE ACTIVEX Test
			ROW 10
			COL 50
			WIDTH 700  
			HEIGHT 400  
			PROGID "shell.explorer.2"  
		END ACTIVEX

	END WINDOW

	Center Window Win1

	Activate Window Win1

RETURN NIL

*------------------------------------------------------------------------------*
Procedure TestNavigate()
*------------------------------------------------------------------------------*
*Local oObject
Local cAddress := ''

	* Look at other samples for alternatives

	//cAddress := InputBox ('Navigate:','Enter Address','http://harbourminigui.googlepages.com')
	cAddress := InputBox ('Navigate:','Enter Address','c:/hmg/samples/activex/test_01.html')

	If .Not. Empty ( cAddress )

		oObject := GetProperty('Win1','Test','Object')
		oObject:Navigate(cAddress)

	EndIf

Return

Procedure Leer
	local oDoc, xVar 
	
	oDoc := oObject:Document
	xVar := oDoc:GetElementById("myHeader"):Value
	
	Msginfo("Hola "+xVar)
	
Return	

Procedure Insertar
	local oDoc, xVar 
	
	oDoc := oObject:Document
	oDoc:GetElementById("myHeader"):Value := "Insertando texto"
return

Procedure Datos
	local oDoc, oTbl, oRow, oCell 
	local i := 1
	oDoc := oObject:Document
	oTbl := oDoc:GetElementById("tabla")

	
	dbusearea(.t.,,'test','test', .t. )
	Do while test->( !eof() )
		oRow := oTbl:InsertRow(i)
		oCell = oRow:insertCell(0)
		oCell:innerHTML=Str(test->(fieldget(1)))
		oCell = oRow:insertCell(1)
		oCell:innerHTML=test->(fieldget(2))
		i ++
		test->( dbskip() )
	enddo
	test->( dbclosearea())
	
retu